﻿namespace Library;

public enum EmployeeState
{
    OUT,
    IN,
    BREAK,
}
public static class EmployeeStateExtensions
{
    public static string ToFriendlyString(this EmployeeState state)
    {
        return state switch
        {
            EmployeeState.OUT => "Clocked Out",
            EmployeeState.IN => "Clocked In",
            EmployeeState.BREAK => "On Break",
            _ => state.ToString()
        };
    }
}